DOMStructure (Java SE 26 & JDK 26)
Description: declaration: module: java.xml.crypto, package: javax.xml.crypto.dom, class: DOMStructure
Keywords: javax.xml.crypto.dom.DOMStructure class

# Class DOMStructure

java.lang.Object
javax.xml.crypto.dom.DOMStructure

All Implemented Interfaces:
  `XMLStructure`

public class DOMStructure extends Object implements XMLStructure
A DOM-specific `XMLStructure`. The purpose of this class is to allow a DOM node to be used to represent extensible content (any elements or mixed content) in XML Signature structures.

If a sequence of nodes is needed, the node contained in the `DOMStructure` is the first node of the sequence and successive nodes can be accessed by invoking `Node.getNextSibling()`.

If the owner document of the `DOMStructure` is different than the target document of an `XMLSignature`, the `XMLSignature.sign(XMLSignContext)` method imports the node into the target document before generating the signature.

Since:
  1.6

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DOMStructure(Node node)`
  Creates a `DOMStructure` containing the specified node.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Node`
  `getNode()`
  Returns the node contained in this `DOMStructure`.
  `boolean`
  `isFeatureSupported(String feature)`
  Indicates whether a specified feature is supported.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### DOMStructure

    public DOMStructure(Node node)
    Creates a `DOMStructure` containing the specified node.
    Parameters:
      `node` - the node
    Throws:
      `NullPointerException` - if `node` is `null`

- ## Method Details

  - ### getNode

    public Node getNode()
    Returns the node contained in this `DOMStructure`.
    Returns:
      the node

  - ### isFeatureSupported

    public boolean isFeatureSupported(String feature)
    Description copied from interface: `XMLStructure`
    Indicates whether a specified feature is supported.
    Specified by:
      `isFeatureSupported` in interface `XMLStructure`
    Parameters:
      `feature` - the feature name (as an absolute URI)
    Returns:
      `true` if the specified feature is supported, `false` otherwise
    Throws:
      `NullPointerException` - if `feature` is `null`